Skip to main content
POST
Unarchive billing entity

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

billing_entity_id
string | null
required

Response

OK

A billing entity is a legal entity an account invoices from, with its own legal name, address and tax registrations.

id
string
required

The Orb-assigned unique identifier for the billing entity.

external_billing_entity_id
string | null
required

An optional user-defined ID for this billing entity, unique within the account. This cannot be changed after creation.

is_default
boolean
required

Whether this is the account's default billing entity.

status
enum<string>
required
Available options:
active,
archived
name
string
required

An internal name for the billing entity.

The legal name printed on invoices.

address
Address · object | null
required

The address printed on invoices.

tax_registrations
BillingEntityTaxRegistration · object[]
required
invoice_settings
BillingEntityInvoiceSettings · object
required

The billing entity's own invoice settings. Each null field inherits the account's setting.

payment_gateway_connections
BillingEntityPaymentGatewayConnection · object[]
required

The payment gateway connections the billing entity collects payments through.

default_payment_gateway_connection_id
string | null
required

The ID of the connection Orb charges when the customer is not mapped to any of the billing entity's connections.

created_at
string<date-time>
required

The time the billing entity was created.